/*  bsp.h
 *
 *  This include file contains all SPARC64 simulator definitions.
 *
 *  COPYRIGHT (c) 1989-1998. On-Line Applications Research Corporation (OAR).
 *  COPYRIGHT (c) 1995. European Space Agency.
 *
 *  The license and distribution terms for this file may be
 *  found in the file LICENSE in this distribution or at
 *  http://www.rtems.org/license/LICENSE.
 *
 *  Ported to sun4u version of SPARC64 
 *  sun4u modifications of respective RTEMS file: 
 *    COPYRIGHT (c) 2010. Eugen Leontie
 *    COPYRIGHT (c) 2010. Gedare Bloom
 */

#ifndef _BSP_H
#define _BSP_H

#include <bspopts.h>
#include <bsp/default-initial-extension.h>

#include <rtems.h>
#include <rtems/iosupp.h>
#include <rtems/console.h>
#include <rtems/clockdrv.h>

#ifdef __cplusplus
extern "C" {
#endif

/* support for simulated clock tick */
/*
Thread clock_driver_sim_idle_body(uintptr_t);
#define BSP_IDLE_TASK_BODY clock_driver_sim_idle_body
*/

/* this should be defined somewhere */
rtems_isr_entry set_vector(                     /* returns old vector */
    rtems_isr_entry     handler,                /* isr routine        */
    rtems_vector_number vector,                 /* vector number      */
    int                 type                    /* RTEMS or RAW intr  */
);

#ifdef __cplusplus
}
#endif

#endif
